위키로그:2014/08/26 - apt-get 혹은 apttitude 저장소의 기간 만료

From PGWiki

데비안 리눅스 계통(우분투 리눅스민트 리눅스 등)에서 사용되는 패키지 관리 도구인 aptitude apt-get을 사용하여 소프트웨어 업데이트를 시도하던 중에 아래와 같은 메시지가 나타났다.

[potatogim@potatogim.net /etc/apt]$ sudo apt-get update
기존 http://ftp.daum.net wheezy Release.gpg
받기:1 http://ftp.daum.net wheezy-updates Release.gpg [836 B]
기존 http://ftp.daum.net wheezy Release
기존 http://ftp.daum.net wheezy-updates Release
E: Release file for http://ftp.daum.net/debian/dists/wheezy-updates/Release is expired (invalid since 12일 10시간 33분 28초). Updates for this repository will not be applied.

엥?

가만보니 저장소의 유효 기간이 만료된 것으로 보여졌고, 아래와 같은 옵션이 있음을 알게되어 다시 시도해봤다.

[potatogim@potatogim.net /etc/apt]$ sudo apt-get -oAcquire::Check-Valid-Until=false update
...
기존 http://ftp.daum.net wheezy Release.gpg
기존 http://ftp.daum.net wheezy-updates Release.gpg
기존 http://ftp.daum.net wheezy Release
기존 http://ftp.daum.net wheezy-updates Release
...
내려받기 3,861 바이트, 소요시간 7초 (533 바이트/초)
패키지 목록을 읽는 중입니다... 완료

저장소를 제공해주는 다음에게는 참 고맙지만 이런 유효 기간 갱신 정도는 좀...

Potatogim (토론) 2014년 8월 26일 (화) 22:44 (KST)



blog comments powered by Disqus